function [PL, numOfWalls, R, isIndoor] = PLfem(x_user, y_user, x_femtocell, y_femtocell, handles)
penFloors_n = 0;
sepWalls_q = 0;
penLoss_Liw = 5;
penLoss_Low = 20;
d2D = 0;

R = calcDist(x_user, y_user, x_femtocell, y_femtocell);
[numOfWalls, isIndoor] = findWalls(x_user, y_user, x_femtocell, y_femtocell, handles);

elem1 = 10^15.3 * R^37.6;
elem2 = 10^38.46 * R^20;

PL = log10(max([elem1 elem2]) * 10^(0.7*d2D) * 10^(18.3*penFloors_n^((penFloors_n + 2)/(penFloors_n + 1)-0.46)) * 10^(sepWalls_q*penLoss_Liw) * 10^(penLoss_Low * numOfWalls));
