function [deplID, type] = closestDepl(startX, startY, handles)
coordVectors = get(handles.figure1, 'UserData');
if (isempty(coordVectors))
    deplID = 0;
    type = 0;
    return
elseif (~isfield(coordVectors, 'fuser_x'))
    deplID = 0;
    type = 0;
    return
end
fuser_x = coordVectors.fuser_x;
fuser_y = coordVectors.fuser_y;
muser_x = coordVectors.muser_x;
muser_y = coordVectors.muser_y;
femt_x = coordVectors.femt_x;
femt_y = coordVectors.femt_y;
att_cell = coordVectors.att_cell;

maxDist = 20;
minSiz1 = min(size(fuser_x, 2), size(fuser_y, 2));
minSiz2 = min(size(muser_x, 2), size(muser_y, 2));
minSiz3 = min(size(femt_x, 2), size(femt_y, 2));
minSiz4 = 1;

distances = zeros(1, minSiz1 + minSiz2 + minSiz3 + minSiz4);

for i=1:minSiz1
    distances(i) = calcDist(startX, startY, fuser_x(i), fuser_y(i));
end
for i=minSiz1 + 1:minSiz1 + minSiz2
    distances(i) = calcDist(startX, startY, muser_x(i - minSiz1), muser_y(i - minSiz1));
end
for i=minSiz1 + minSiz2 + 1:minSiz1 + minSiz2 + minSiz3
    distances(i) = calcDist(startX, startY, femt_x(i - minSiz1 - minSiz2), femt_y(i - minSiz1 - minSiz2));
end
for i=minSiz1 + minSiz2 + minSiz3 + 1:minSiz1 + minSiz2 + minSiz3 + minSiz4
    distances(i) = calcDist(startX, startY, 250.0, 217.0);
end
[minVal, minPos] = min(distances);
if minPos <= minSiz1
    type = 1;
    deplID = minPos;
elseif minPos <= minSiz1 + minSiz2
    type = 2;
    deplID = minPos - minSiz1;
elseif minPos <= minSiz1 + minSiz2 + minSiz3
    type = 3;
    deplID = minPos - minSiz1 - minSiz2;
else
    type = 4;
    deplID = minPos - minSiz1 - minSiz2 - minSiz3;
end
if (minVal > maxDist)
    minVal = 0.0;
    deplID = 0;
    type = 0;
end