function drawMap(handles)
min_x = -250;
max_x = 250;
min_y = int16(-sqrt(3)*125);
max_y = int16(sqrt(3)*125);

numOfFemtocells = str2num(get(handles.edit1,'String'));
numOfMacrousers = str2num(get(handles.edit3,'String'));
numOfFemtousers = str2num(get(handles.edit2,'String'));

x = zeros(1, numOfFemtocells);
y = zeros(1, numOfFemtocells);

x_fusers = zeros(1, numOfFemtousers);
y_fusers = zeros(1, numOfFemtousers);

x_musers = zeros(1, numOfMacrousers);
y_musers = zeros(1, numOfMacrousers);

new_femt_x = zeros(1, numOfFemtocells);
new_femt_y = zeros(1, numOfFemtocells);

new_fuser_x = zeros(1, numOfFemtousers);
new_fuser_y = zeros(1, numOfFemtousers);

new_muser_x = zeros(1, numOfMacrousers);
new_muser_y = zeros(1, numOfMacrousers);

att_cell = zeros(1, numOfFemtousers);

femtocellIsIndoor = zeros(1, numOfFemtocells);
femtouserIsIndoor = zeros(1, numOfFemtousers);
macrouserIsIndoor = zeros(1, numOfMacrousers);

hold on;

waitbar_h = waitbar(0, 'Applying topology parameters...');
for i=1:100
    waitbar(i / 100);
end
close(waitbar_h);

disableOptions(handles);

axis equal;

manhattan_env2(handles);


set(handles.pushbutton10, 'Enable', 'Off');
if numOfFemtocells > 1
    setCurrentColor(handles.text24, 1);
end
set(handles.text15, 'Visible', 'on');
for i=1:numOfFemtocells
    setRedLabel(handles.text15, numOfFemtocells - (i - 1), 'femtocells');
    % LABEL OutBounds1
    while 1
    while 1
        k = waitforbuttonpress;
        if k == 0
            break;
        end
    end
    hold on;
    [x(i),y(i)] = mouse_clicked(handles);
    if inMacrocellRange(x(i),y(i)) == 1
        break;
    end
    end
    new_femt_x(i) = incrValueX(x(i), max_x);
    new_femt_y(i) = incrValueY(y(i), max_y);
    femtocellIsIndoor(i) = isIndoor(new_femt_x(i), new_femt_y(i), handles);
    plot(new_femt_x(i), new_femt_y(i), 'ro', 'MarkerSize', 20);
end
setCurrentColor(handles.text24, 0);

if numOfFemtousers > 1
    setCurrentColor(handles.text23, 1);
end

for i=1:numOfFemtousers
    setRedLabel(handles.text15, numOfFemtousers - (i - 1), 'femtousers');
    % LABEL OutBounds2
    while 1
    while 1
        k = waitforbuttonpress;
        if k == 0
            break;
        end
    end
    hold on;
    [x_fusers(i), y_fusers(i)] = mouse_clicked_femtouser(handles);
    if inMacrocellRange(x_fusers(i),y_fusers(i)) == 1
        break;
    end
    end
    new_fuser_x(i) = incrValueX(x_fusers(i), max_x);
    new_fuser_y(i) = incrValueY(y_fusers(i), max_y);
    femtouserIsIndoor(i) = isIndoor(new_fuser_x(i), new_fuser_y(i), handles);
    plot(new_fuser_x(i), new_fuser_y(i), 'b.', 'MarkerSize', 15);

    while 1
        % LABEL OutBounds2a
        while 1
            k = waitforbuttonpress;
            if k == 0
                break;
            end
        end
        hold on;
        [toX, toY] = mouse_clicked_femtouser(handles);

        new_toX = incrValueX(toX, max_x);
        new_toY = incrValueY(toY, max_y);
    
        [cellID, cellDistance] = closestCell(new_toX, new_toY, new_femt_x, new_femt_y, new_fuser_x(i), new_fuser_y(i));
        if cellID > 0
            break;
        end
    end
    coordVect = get(handles.figure1, 'UserData');
    coordVect.startingPoint = [];
    set(handles.figure1, 'UserData', coordVect);
    att_cell(i) = cellID;
    plot([new_fuser_x(i), new_femt_x(cellID)], [new_fuser_y(i), new_femt_y(cellID)], '--b', 'MarkerSize', 5);
    text((new_fuser_x(i) + new_femt_x(cellID)) / 2, (new_fuser_y(i) + new_femt_y(cellID)) / 2,...
	 sprintf('%.2f m', cellDistance), 'FontSize', 7.5, 'Color', [0.4 0.4 0.4]);
    %calcDist(new_fuser_x(i), new_fuser_y(i), new_toX, new_toY)
end
setCurrentColor(handles.text23, 0);
%  set(handles.figure1, 'UserData', coordVectors);

if numOfMacrousers > 1
    setCurrentColor(handles.text26, 1);
end

for i=1:numOfMacrousers
    setRedLabel(handles.text15, numOfMacrousers - (i - 1), 'macrousers');
    % LABEL OutBounds3
    while 1
    while 1
        k = waitforbuttonpress;
        if k == 0
            break;
        end
    end
    hold on;
    [x_musers(i), y_musers(i)] = mouse_clicked(handles);
    if inMacrocellRange(x_musers(i),y_musers(i)) == 1
        break;
    end
    end
    new_muser_x(i) = incrValueX(x_musers(i), max_x);
    new_muser_y(i) = incrValueY(y_musers(i), max_y);
    macrouserIsIndoor(i) = isIndoor(new_muser_x(i), new_muser_y(i), handles);
    plot(new_muser_x(i), new_muser_y(i), 'g.', 'MarkerSize', 15);
end
setCurrentColor(handles.text26, 0);

set(handles.text15, 'String', '');
set(handles.text15, 'Visible', 'off');
set(handles.pushbutton10, 'Enable', 'On');

changeApplyButton(handles);

hold on;

numberPlot(new_femt_x, new_femt_y);
numberPlot(new_fuser_x, new_fuser_y);
numberPlot(new_muser_x, new_muser_y);

coordVectors = get(handles.figure1, 'UserData');

coordVectors.femt_x = new_femt_x;
coordVectors.femt_y = new_femt_y;
coordVectors.fuser_x = new_fuser_x;
coordVectors.fuser_y = new_fuser_y;
coordVectors.muser_x = new_muser_x; %1 ~ +oo
coordVectors.muser_y = new_muser_y;
coordVectors.att_cell = att_cell;

set(handles.figure1, 'UserData', coordVectors);
