function setObjDetails(var1, var2, var3, var4)
nargchk(3, 4, nargin);
if nargin == 3
    setObjDetails1(var1, var2, var3);
else
    setObjDetails2(var1, var2, var3, var4);
end


function setObjDetails1(deplID, type, handles)
isIndoorMap = {'Outdoor', 'Indoor'};
if deplID == 0
    set(handles.text27, 'String', '--');
    set(handles.text28, 'String', '--');
    set(handles.text29, 'String', '--');
    set(handles.text31, 'String', '--');
    set(handles.text36, 'String', '--');
    set(handles.text34, 'String', '--');
    return
end
if type == 1
    set(handles.text27, 'String', 'Femto user');
    [capacity, SINR, G, PL, numOfWalls, dist, isIndoor] = CapacityFemto_C(deplID, handles);
    set(handles.text28, 'String', sprintf('ID: %d (%s)', deplID, isIndoorMap{isIndoor+1}));
    set(handles.text29, 'String', sprintf('Thr: %.2fMbps', capacity/10^6));
    set(handles.text31, 'String', sprintf('SINR: %.2f dB', 10*log10(SINR)));
    set(handles.text36, 'String', sprintf('PL: %.2f dB', PL));
    set(handles.text34, 'String', sprintf('%.2f m/%d walls', dist, numOfWalls));
elseif type == 2
    set(handles.text27, 'String', 'Macro user');
    [capacity, SINR, G, PL, numOfWalls, dist, isIndoor] = CapacityMacro_C(deplID, handles);
    set(handles.text28, 'String', sprintf('ID: %d (%s)', deplID, isIndoorMap{isIndoor+1}));
    set(handles.text29, 'String', sprintf('Thr: %.2fMbps', capacity/10^6));
    set(handles.text31, 'String', sprintf('SINR: %.2f dB', 10*log10(SINR)));
    set(handles.text36, 'String', sprintf('PL: %.2f dB', PL));
    set(handles.text34, 'String', sprintf('%.2f m/%d walls', dist, numOfWalls));
elseif type == 3
    set(handles.text27, 'String', 'Femtocell');
    [indoor, mode, subcarriersPerUser, numOfFemtousers, power] = getStats(deplID, 1, handles);
    set(handles.text28, 'String', sprintf('Cell ID: %d (%s)', deplID, isIndoorMap{indoor+1}));
    %[capacity, SINR] = CapacityFemto_C(deplID, handles);
    set(handles.text29, 'String', sprintf('%s', mode));
    set(handles.text31, 'String', sprintf('Pow.: %d dBm', power));
    if subcarriersPerUser == Inf
        subcarriersPerUser = '--';
    else
        subcarriersPerUser = sprintf('~%.1f', subcarriersPerUser);
    end
    set(handles.text36, 'String', sprintf('CC/Usr: %s', subcarriersPerUser));
    set(handles.text34, 'String', sprintf('Users: %d', numOfFemtousers));
else
    set(handles.text27, 'String', 'Macrocell');
    [indoor, mode, subcarriersPerUser, numOfMacrousers, power] = getStats(deplID, 0, handles);
    set(handles.text28, 'String', sprintf('Cell ID: %d (%s)', deplID, isIndoorMap{indoor+1}));
    set(handles.text29, 'String', sprintf('%s', mode));
    set(handles.text31, 'String', sprintf('Pow.: %d dBm', power));
    if subcarriersPerUser == Inf
        subcarriersPerUser = '--';
    else
        subcarriersPerUser = sprintf('~%.1f', subcarriersPerUser);
    end
    set(handles.text36, 'String', sprintf('CC/Usr: %s', subcarriersPerUser));
    set(handles.text34, 'String', sprintf('Users: %d', numOfMacrousers));
end



function setObjDetails2(x, y, type, handles)
isIndoorMap = {'Outdoor', 'Indoor'};
% if deplID == 0
%     set(handles.text27, 'String', '--');
%     set(handles.text28, 'String', '--');
%     set(handles.text29, 'String', '--');
%     set(handles.text31, 'String', '--');
%     set(handles.text36, 'String', '--');
%     set(handles.text34, 'String', '--');
%     return
% end
if type == 1
    set(handles.text27, 'String', 'Femto user');
    [capacity, SINR, G, PL, numOfWalls, dist, isIndoor] = CapacityFemto_C(x, y, get(handles.popupmenu7, 'Value') - 2, handles);
    set(handles.text28, 'String', sprintf('ID: -- (%s)', isIndoorMap{isIndoor+1}));
    set(handles.text29, 'String', sprintf('Thr: %.2fMbps', capacity/10^6));
    set(handles.text31, 'String', sprintf('SINR: %.2f dB', 10*log10(SINR)));
    set(handles.text36, 'String', sprintf('PL: %.2f dB', PL));
    set(handles.text34, 'String', sprintf('%.2f m/%d walls', dist, numOfWalls));
else
    set(handles.text27, 'String', 'Macro user');
    [capacity, SINR, G, PL, numOfWalls, dist, isIndoor] = CapacityMacro_C(x, y, get(handles.popupmenu7, 'Value') - 1, handles);
    set(handles.text28, 'String', sprintf('ID: -- (%s)', isIndoorMap{isIndoor+1}));
    set(handles.text29, 'String', sprintf('Thr: %.2fMbps', capacity/10^6));
    set(handles.text31, 'String', sprintf('SINR: %.2f dB', 10*log10(SINR)));
    set(handles.text36, 'String', sprintf('PL: %.2f dB', PL));
    set(handles.text34, 'String', sprintf('%.2f m/%d walls', dist, numOfWalls));
end